Update a ShipmentAsk AIput https://api.tive.com/public/v3/Shipments/{shipmentId}Update a shipment within the specified account.Path ParamsshipmentIdstringrequiredshipmentId of the shipment.Body ParamsskipDeviceLocationCheckbooleanDetermines whether a shipment should start even if the tracker location does not match the shipment start location. Defaults to false.truefalsecloseActiveShipmentsbooleanClose other active shipments related to the trackers being added to this shipment. When closing an existing shipment the new shipment will start at the current time. Defaults to false.truefalsedevicesarray of strings | nullA list of device IDs associated with the shipment. Note, to start a shipment you must specify at least one device.devicesADD stringtrackerStartDelaystringenumThe period of time the tracker should wait before measuring or transmitting data after the start button is pressed. This is ONLY for Solo Pro Devices.ZeroMinutesThirtyMinutesOneHourOneAndHalfHoursTwoHoursFourHoursAllowed:ZeroMinutesThirtyMinutesOneHourOneAndHalfHoursTwoHoursFourHoursshipmentIdstringrequiredlength ≥ 1The unique identifier of your shipment.customFieldsarray of objects | nullCustom informational field that apply to your organization. Shipments allow for up to five custom fields.customFieldsADD objectshipmentLegsarray of objectsrequiredFor Shipments that make more than one stop, multiple Legs can be created for each stop that the shipment will make. Addresses are required for To/From for each leg, either by sending To/FromLocationId or To/FromCoordinates and To/FromAddress.shipmentLegs*ADD objectendOfTripConfigurationobjectendOfTripConfiguration objectcommoditiesarray of int32s | nullList of commodity ids to attach to the shipment.commoditiesADD int32Headersx-tive-account-idint32requiredID of the account the request will be made in.Responses 200The shipment has been updated 400Unable to update the shipment. See response message for details. 401UnauthorizedUpdated 7 months ago